classification
Title: namedtuple documentation could/should mention the new Enum type
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, ezio.melotti, kdykstra, lelit, python-dev, rhettinger
Priority: low Keywords: patch

Created on 2014-08-14 15:33 by lelit, last changed 2014-10-28 14:45 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch kdykstra, 2014-10-28 11:39 review
Messages (5)
msg225303 - (view) Author: Lele Gaifax (lelit) * Date: 2014-08-14 15:33
The documentation of namedtuple, near the end, talks about implementing enumerated constants and says “Enumerated constants can be implemented with named tuples, but it is simpler and more efficient to use a simple class declaration“.

Maybe it should mention the recently added Enum type instead/too.
msg230139 - (view) Author: Karmen Dykstra (kdykstra) Date: 2014-10-28 11:39
Updated documentation with Enum example.
msg230150 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-28 14:08
New changeset 2e3521e79d93 by Ezio Melotti in branch 'default':
#22196: link to Enum in the nametuple documentation.  Patch by Karmen Dykstra.
https://hg.python.org/cpython/rev/2e3521e79d93
msg230151 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-28 14:18
New changeset 701529f8ca93 by Ezio Melotti in branch '3.4':
#22196: link to Enum in the nametuple documentation.  Patch by Karmen Dykstra.
https://hg.python.org/cpython/rev/701529f8ca93
msg230155 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-10-28 14:45
Fixed, thanks for the patch!
History
Date User Action Args
2014-10-28 14:45:43ezio.melottisetstatus: open -> closed

assignee: rhettinger -> ezio.melotti
versions: + Python 3.4, Python 3.5
messages: + msg230155
type: enhancement
resolution: fixed
stage: resolved
2014-10-28 14:18:05python-devsetmessages: + msg230151
2014-10-28 14:08:08python-devsetnosy: + python-dev
messages: + msg230150
2014-10-28 11:39:58kdykstrasetfiles: + mywork.patch

nosy: + ezio.melotti, kdykstra
messages: + msg230139

keywords: + patch
2014-08-15 06:41:14rhettingersetpriority: normal -> low
assignee: docs@python -> rhettinger

nosy: + rhettinger
2014-08-14 15:33:51lelitcreate